import { Ndef, NdefEvent, NdefRecord, NdefTag, NFC, NfcUtil } from '@awesome-cordova-plugins/nfc/ngx';
import { Observable } from 'rxjs';
import { RecoverableTapStateEvent } from '../tap-scanner/tap-scanner-nfc/nfc-service.service';
export { Ndef, NdefEvent, NdefRecord, NdefTag, NFC, NfcUtil };
declare module '@awesome-cordova-plugins/nfc/ngx' {
    interface NFC {
        addTapDeviceListener(success?: () => void, failure?: (err: Error) => void): Observable<RecoverableTapStateEvent>;
        transceiveTap(input: Uint8Array): Promise<Uint8Array>;
        beginSessionFromTech(tech: string, alertMessage?: string): Promise<void>;
        closeSession(): Promise<void>;
        connectRaw(tech: string, timeout?: number): Promise<void>;
        setTapDeviceDiscoveryEnabled(v: boolean): Promise<void>;
    }
}
export declare const addTapDeviceListenerImpl: (success?: () => void, failure?: ((err: Error) => void) | undefined) => Observable<RecoverableTapStateEvent>;
export declare const transceiveTapImpl: (data: Uint8Array) => Promise<Uint8Array>;
export declare const beginSessionFromTechImpl: (tech: string, alertMessage?: string) => Promise<void>;
export declare const closeSessionImpl: () => Promise<void>;
export declare const connectRawImpl: (tech: string, timeout?: number) => Promise<void>;
export declare const setTapDeviceDiscoveryEnabled: (enabled: boolean) => Promise<void>;
